[package]
name = "db"
version.workspace = true
edition.workspace = true
authors.workspace = true
description.workspace = true
repository.workspace = true
readme.workspace = true
homepage.workspace = true
license.workspace = true
keywords.workspace = true
categories.workspace = true
documentation.workspace = true
[lib]
path = "lib.rs"
name = "db"
[dependencies]
sea-orm = { workspace = true, features = ["sqlx-all", "runtime-tokio"] }
deadpool-redis = { workspace = true, features = ["rt_tokio_1", "cluster-async", "cluster"] }
config = { workspace = true }
anyhow = { workspace = true }
rand = { workspace = true, features = [] }
tokio = { workspace = true, features = ["rt", "rt-multi-thread"] }
async-trait = { workspace = true }
[lints]
workspace = true
